@charset "UTF-8";

/*テーマカラー設定*/
:root {
    --main-color: #ed5a11;
    --main-dark-color: #9e3804;
    --main-pale-color: #eb7e47;
    --accent-color: #e89d33;
    --accent-dark-color: #c48511;
    --gray-color: #555;
    --lp-nav-color: var(--main-color);
    --main-bg-color: #fff;
    --lp-swiper-nav-color: var(--main-color);
    --section-padding-block: 100px;
}

@media (width < 768px) {
    :root {
        --section-padding-block: 50px;
    }
}

/* ================================================================
  大枠・共通パーツ
================================================================= */
.p-lp-wrapper {
    font-weight: 500;
    background-color: var(--main-bg-color);
    background-attachment: fixed;
}

.p-lp-wrapper :where(.p-cmn-section:not(.u-mb0)) {
    margin-bottom: var(--section-padding-block);
}

@media (width < 768px) {
    .p-lp-wrapper :where(.p-cmn-section:not(.u-mb0)) {
        margin-bottom: var(--section-padding-block);
    }
}

/* セクション背景Wrapper */
.p-lp-bg-wrapper {
    padding-block: var(--section-padding-block) 1px;
}

@media (width < 768px) {
    .p-lp-bg-wrapper {
        padding-block: var(--section-padding-block) 1px;
    }
}

.p-lp-bg-wrapper.u-pb0 {
    padding-bottom: 0;
}

.p-lp-bg-wrapper.u-mb0 {
    margin-bottom: 0;
}

/* セクション背景色設定 */
.p-lp-bg-wrapper--bg01 {
    background: url("https://stprodaeonblob.blob.core.windows.net/eshop-files/images/other/flo_eve_007_2026_bg01.jpg") no-repeat center center/cover;
    background-attachment: fixed;
    background-color: #ffecd0;
}

.p-lp-bg-section--white {
    background: url("https://stprodaeonblob.blob.core.windows.net/eshop-files/images/other/flo_eve_006_2026_bg.jpg") no-repeat top center/cover;
    padding-block: var(--section-padding-block);
    background-attachment: fixed;
}

@media (width < 768px) {
    .p-lp-bg-section--white {
        padding-block: var(--section-padding-block);
    }
}

/* ================================================================
  ヒーロー
================================================================= */
.p-lp-hero {
    position: relative;
    margin-bottom: 0;
    overflow: clip;
    background-color: #fffcf3;
}

@media (width >=768px) {
    .p-lp-hero {
        display: grid;
        align-items: stretch;
        min-height: max(35vw, 500px);
        padding-inline: 50px;
    }
}

@media (width < 768px) {
    .p-lp-hero {
        position: relative;
        display: block;
        margin-inline: auto;
        padding-top: 50vw;
    }
}

.p-lp-hero::before {
    content: "";
    background: url("https://stprodaeonblob.blob.core.windows.net/eshop-files/images/other/flo_eve_007_2026_hero.jpg") no-repeat right center/cover;
    display: block;
    position: absolute;
    top: 0;
    right: -10%;
    width: 80%;
    height: 100%;
    mask-image: linear-gradient(to right, transparent 0%, black 30%, black 100%);
}

@media (width < 768px) {
    .p-lp-hero::before {
        top: -10%;
        right: 0;
        width: 100%;
        height: 100vw;
        background-position: center top;
        mask-image: linear-gradient(to bottom, #000 0%, #000 60%, transparent 100%);
    }
}

.p-lp-hero__content {
    position: relative;
    max-width: max-content;
    padding-block: 100px;
    height: 100%;
}

@media (width < 768px) {
    .p-lp-hero__content {
        padding-block: 50px;
        max-width: 100%;
    }
}

.p-lp-hero__content .c-lp-link-button {
    width: 90%;
    justify-content: start;
    margin-top: 30px;
}

.p-lp-hero__content .c-lp-link-button a {
    padding: 18px 0;
    background-color: var(--main-color);
}

@media (width < 768px) {
    .p-lp-hero__content .c-lp-link-button a {
        padding: 10px 0;
    }
}

@media (width < 768px) {
    .p-lp-hero__content .c-lp-link-button {
        width: 100%;
        margin-top: 20px;
    }
}

.p-lp-hero__title {
    font-size: 4.6rem;
    font-weight: 800;
    line-height: 1.4;
    letter-spacing: 8%;
    text-shadow: 3px 3px 10px #fff;
    color: var(--main-color);
}

.p-lp-hero__title small {
    font-size: 50%;
}

@media (width < 768px) {
    .p-lp-hero__title {
        font-size: min(11.5vw, 3rem);
        line-height: 1.2;
    }
}

.p-lp-hero__limit {
    width: 130%;
    margin-top: 50px;
    padding-top: 30px;
    font-weight: 500;
    line-height: 1.7;
    letter-spacing: 5%;
    border-top: 1px solid var(--accent-color);
}

@media (width < 768px) {
    .p-lp-hero__limit {
        width: 100%;
        margin-top: 20px;
        padding-top: 15px;
    }
}

.p-lp-hero__limit-title {
    font-weight: 800;
    font-size: 1.6rem;
    color: var(--accent-dark-color);
}

@media (width < 768px) {
    .p-lp-hero__limit-title {
        font-size: 1.2rem;
    }
}

@media (width < 768px) {
    .p-lp-hero__limit-title {
        text-align: center;
    }
}

.p-lp-hero__limit-list {
    display: grid;
    grid-template-columns: repeat(2, max-content);
    align-items: center;
    gap: 15px;
    margin-top: 15px;
    font-size: 1.7rem;
    line-height: 1;
}

@media (width < 768px) {
    .p-lp-hero__limit-list {
        gap: 12px;
        font-size: 1.1rem;
        max-width: 100%;
    }
}

.p-lp-hero__limit-list dt span {
    display: block;
    font-size: 55%;
    font-weight: 800;
    margin-top: 3px;
    color: #fff;
    background-color: var(--accent-color);
    border-radius: 30px;
    padding: 8px 16px;
    text-align: center;
}

@media (width < 768px) {
    .p-lp-hero__limit-list dt span {
        padding: 6px 12px;
    }
}

.p-lp-hero__limit-list dd {
    font-weight: 800;
}

.p-lp-hero__button a {
    background-color: var(--accent-color);
}

/* ================================================================
  カテゴリーセクションタイトル
================================================================= */
.c-lp-section-title {
    padding: 16px 20px;
    margin-bottom: 50px;
    font-size: min(4vw, 2.4rem);
    font-weight: 800;
    line-height: 1.3;
    letter-spacing: 8%;
    text-align: center;
    color: var(--main-color);
}

.c-lp-section-title::after {
    content: "";
    display: block;
    width: 100px;
    height: 2px;
    margin-inline: auto;
    margin-top: 20px;
    background-color: var(--accent-color);
}

@media (width < 768px) {
    .c-lp-section-title {
        font-size: min(8vw, 2rem);
        margin-bottom: 30px;
    }

    .c-lp-section-title::after {
        height: 1px;
    }
}

.p-lp-product-section-title {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 24px;
    margin-bottom: 20px;
    font-size: 2.4rem;
}

@media (width < 768px) {
    .p-lp-product-section-title {
        gap: 12px;
        font-size: min(6vw, 1.8rem);
    }
}

.p-lp-product-section-title__number {
    font-weight: 500;
    color: #fff;
    background-color: var(--main-pale-color);
    padding: 8px;
    font-size: 100%;
    line-height: 1;
    clip-path: polygon(0 15%, 15% 0, 85% 0, 100% 15%, 100% 85%, 85% 100%, 15% 100%, 0 85%);
}

.p-lp-product-section-title__text {
    display: inline-block;
    font-weight: 800;
    color: var(--main-color);
}

.p-lp-product-section-title__text img {
    display: inline-block;
    width: 100%;
    max-width: 700px;
}

@media (width < 768px) {
    .p-lp-product-section-title__text img {
        max-width: 320px;
    }
}

.p-lp-product-section-description,
.p-lp-set-product-head__description {
    margin-block: 40px 50px;
    font-weight: 500;
    line-height: 2.5;
    letter-spacing: 8%;
    text-align: center;
    color: var(--gray-color);
}

@media (width < 768px) {

    .p-lp-product-section-description,
    .p-lp-set-product-head__description {
        margin-block: 30px 40px;
        font-size: 0.9rem;
        text-align: left;
        line-height: 1.8;
    }
}

/* ================================================================
  導入文
================================================================= */
.p-lp-introduction p {
    font-size: min(1.1rem, 1.8vw);
    font-weight: 500;
    line-height: 2.5;
    text-align: center;
    letter-spacing: 8%;
    color: var(--main-dark-color);
}

@media (width < 768px) {
    .p-lp-introduction p {
        font-size: min(1.1rem, 3.8vw);
        line-height: 2.2;
    }
}

.p-lp-introduction p+p {
    margin-top: 25px;
}

/* ================================================================
  フラワーギフトのご紹介
================================================================= */
.p-lp-recommend-flower-list {
    --lp-recommend-flower-gap: 50px;
    display: grid;
    grid-auto-rows: auto;
    gap: var(--lp-recommend-flower-gap);
}

/* PC：1段目3件、2段目2件を中央揃え */
@media (width >=768px) {
    .p-lp-recommend-flower-list {
        grid-template-columns: repeat(6, 1fr);
    }

    .p-lp-recommend-flower-item {
        grid-column: span 2;
    }

    .p-lp-recommend-flower-item:nth-child(4) {
        grid-column: 2 / span 2;
    }

    .p-lp-recommend-flower-item:nth-child(5) {
        grid-column: 4 / span 2;
    }
}

@media (width < 768px) {
    .p-lp-recommend-flower-list {
        --lp-recommend-flower-gap: 20px;
        grid-template-columns: repeat(4, 1fr);
    }

    .p-lp-recommend-flower-item {
        grid-column: span 2;
    }

    .p-lp-recommend-flower-item:nth-child(5) {
        grid-column: 2 / span 2;
    }
}

.p-lp-recommend-flower-item {
    position: relative;
    display: grid;
    grid-template-rows: subgrid;
    grid-row: span 2;
    gap: 0;
}

/* おすすめギフトのカード全体をページ内リンクとしてクリック可能にする */
.p-lp-recommend-flower-item__link {
    color: inherit;
    text-decoration: none;
}

.p-lp-recommend-flower-item__link::after {
    content: "";
    position: absolute;
    inset: 0;
    z-index: 1;
    cursor: pointer;
}

/* 画像上のポインター判定をリンク用の疑似要素に統一 */
.p-lp-recommend-flower-item__image,
.p-lp-recommend-flower-item__image img {
    pointer-events: none;
}

.p-lp-recommend-flower-item__title {
    font-size: 1.6rem;
    font-weight: 800;
    line-height: 1.2;
    letter-spacing: 8%;
    text-align: center;
    color: var(--accent-dark-color);
    margin-bottom: 30px;
}

.p-lp-recommend-flower-item__title small {
    font-size: 70%;
}

/* スマホ：おすすめギフトのタイトルを1行に固定 */
@media (width < 768px) {
    .p-lp-recommend-flower-item__title {
        margin-bottom: 12px;
        font-size: clamp(0.65rem, 2.9vw, 0.85rem);
        line-height: 1.2;
        letter-spacing: 0;
        white-space: nowrap;
    }
}

.p-lp-recommend-flower-item__image {
    display: block;
    overflow: hidden;
    clip-path: polygon(0 10%, 10% 0, 90% 0, 100% 10%, 100% 90%, 90% 100%, 10% 100%, 0 90%);
}

.p-lp-recommend-flower-item__image img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

.p-lp-recommend-flower-item__description {
    margin-block: 20px;
}

.p-lp-recommend-flower-item__words {
    display: grid;
    grid-template-columns: max-content 1fr;
    align-items: start;
    gap: 16px;
    line-height: 1.8;
    color: var(--accent-dark-color);
}

.p-lp-recommend-flower-item__words dt {
    padding: 3px 16px;
    font-weight: 500;
    color: #fff;
    background-color: var(--accent-color);
}

.p-lp-recommend-flower-item__words dd {
    padding: 3px 0;
}

/* ================================================================
  お届けスケジュール
================================================================= */
.p-lp-delivery-schedule-wrap {
    --cell-color: var(--main-color);
    --border-color: #999;
    text-align: center;
}

@media (width < 768px) {
    .p-lp-delivery-schedule-item:not(:first-child) {
        margin-top: 20px;
    }

    .p-lp-delivery-schedule-item__title {
        padding-block: 3px;
        font-size: 1.2rem;
        font-weight: 800;
        color: #fff;
        background-color: var(--cell-color);
    }

    .p-lp-delivery-schedule-body {
        padding: 16px 10px;
        border: 1.5px solid var(--border-color);
        border-top: none;
    }

    .p-lp-delivery-schedule-body__item {
        display: grid;
        grid-template-columns: max-content 1fr;
    }

    .p-lp-delivery-schedule-body__item:not(:first-child) {
        margin-top: 15px;
    }

    .p-lp-delivery-schedule-body__item dt {
        grid-column: span 2;
        padding-block: 2px;
        color: #fff;
        background-color: var(--cell-color);
    }

    .p-lp-delivery-schedule-body__item dd {
        display: grid;
        grid-template-columns: subgrid;
        grid-column: span 2;
        align-items: start;
        gap: 12px;
        border-right: 1px solid var(--border-color);
        border-left: 1px solid var(--border-color);
        padding: 15px 8px;
        font-size: 1.1rem;
        font-weight: 500;
        line-height: 1.3;
        background-color: #fff;
    }

    .p-lp-delivery-schedule-body__item dd p {
        text-align: left;
    }

    .p-lp-delivery-schedule-body__item dd:not(:first-of-type) {
        padding-top: 0;
    }

    .p-lp-delivery-schedule-body__item dd:last-of-type {
        border-bottom: 1px solid var(--border-color);
    }

    .p-lp-delivery-schedule-body__item dd::before {
        display: block;
        padding: 5px 10px;
        border-radius: 20px;
        font-size: 0.7rem;
        font-weight: 600;
        line-height: 1;
        color: #fff;
        background-color: var(--cell-color);
    }

    .p-lp-delivery-schedule-body__item dd:nth-of-type(1)::before {
        content: "承り期間";
    }

    .p-lp-delivery-schedule-body__item dd:nth-of-type(2)::before {
        content: "お届け期間";
    }
}

@media (width >=768px) {
    .p-lp-delivery-schedule-wrap {
        display: grid;
        grid-template-columns: repeat(4, auto);
        text-align: center;
    }

    .p-lp-delivery-schedule-item-wrap__head {
        display: grid;
        grid-template-columns: subgrid;
        grid-column: 3/5;
        grid-row: 1;
    }

    .p-lp-delivery-schedule-item-wrap__head p {
        color: #fff;
        background-color: var(--cell-color);
        padding-block: 8px;
    }

    .p-lp-delivery-schedule-item-wrap__head p:not(:last-child) {
        border-right: 1px solid #fff;
    }

    .p-lp-delivery-schedule-item {
        display: grid;
        grid-template-columns: subgrid;
        grid-column: span 4;
    }

    .p-lp-delivery-schedule-item__title {
        display: grid;
        place-items: center;
        grid-column: 1/2;
        padding: 15px 8px;
        color: #fff;
        background-color: var(--cell-color);
        border-bottom: 1px solid #fff;
    }

    .p-lp-delivery-schedule-body {
        display: grid;
        grid-template-columns: subgrid;
        grid-column: span 3;
        border-left: 1px solid #fff;
    }

    .p-lp-delivery-schedule-body__item {
        display: grid;
        grid-template-columns: subgrid;
        grid-column: span 3;
    }

    .p-lp-delivery-schedule-body__item dt {
        display: grid;
        place-items: center;
        padding: 15px 8px;
        color: #fff;
        background-color: var(--cell-color);
        border-bottom: 1px solid #fff;
    }

    .p-lp-delivery-schedule-body__item dd {
        display: grid;
        place-items: center;
        border-right: 1px solid var(--border-color);
        border-bottom: 1px solid var(--border-color);
        padding: 15px 8px;
        line-height: 1.5;
        background-color: #fff;
        font-size: 1.1rem;
    }
}

/* ================================================================
  お供え花のご紹介 - アンカー
================================================================= */
/* ================================================================
  お供え花のご紹介 - アンカー
================================================================= */
.p-lp-anchor {
    --lp-anchor-gap: 30px;
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    gap: var(--lp-anchor-gap);
}

@media (width < 768px) {
    .p-lp-anchor {
        --lp-anchor-gap: 10px;
    }
}

.p-lp-anchor li {
    width: calc((100% - var(--lp-anchor-gap) * 2) / 3);
    max-width: 500px;
    background-color: #fff;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.05);
}

.p-lp-anchor li>a {
    display: block;
    padding: 20px;
}

@media (width < 768px) {
    .p-lp-anchor li>a {
        padding: 8px;
    }
}

/* 画像幅を各liに合わせる */
.p-lp-anchor li>a>img {
    display: block;
    width: 100%;
    height: auto;
}

.p-lp-anchor li>a:hover .c-lp-link-button div {
    background: var(--accent-color);
}

.p-lp-anchor .c-lp-link-button {
    margin-top: 15px;
}

@media (width < 768px) {
    .p-lp-anchor .c-lp-link-button {
        margin-top: 5px;
    }
}

.p-lp-anchor .c-lp-link-button div {
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    padding: 15px 12px;
    font-weight: 500;
    line-height: 1.2;
    letter-spacing: 2%;
    text-align: center;
    color: #fff;
    background: var(--main-color);
}

.p-lp-anchor .c-lp-link-button div:hover {
    background: var(--main-color);
}

@media (width < 768px) {
  .p-lp-anchor .c-lp-link-button div {
    grid-template-columns: 100%;
    gap: 5px;
    font-size: clamp(0.62rem, 2.7vw, 0.8rem);
    letter-spacing: 0;
    white-space: nowrap;
    padding: 15px 2px 5px;
  }
}

.p-lp-anchor .c-lp-link-button div::after {
    content: "keyboard_double_arrow_down";
    font-size: 150%;
    font-family: "Material Symbols Outlined";
    font-weight: normal;
    font-style: normal;
    display: inline-block;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    white-space: nowrap;
    font-variation-settings: "FILL" 0, "wght" 200, "GRAD" 0, "opsz" 28;
}

/* ================================================================
  お供え花のご紹介
================================================================= */
.p-lp-set-product-head__subtitle {
    position: relative;
    padding-block: 18px;
    font-size: 1.8rem;
    font-weight: 800;
    line-height: 1;
    letter-spacing: 8%;
    text-align: center;
    background-color: var(--main-color);
    color: #fff;
}

.p-lp-set-product-head__subtitle::before {
    content: "";
    display: block;
    position: absolute;
    top: 4px;
    left: 4px;
    width: calc(100% - 8px);
    height: calc(100% - 8px);
    border: 1px solid rgba(255, 255, 255, 0.6);
}

@media (width < 768px) {
    .p-lp-set-product-head__subtitle {
        font-size: 1.5rem;
        padding-block: 12px;
    }
}

.p-lp-set-product-sweet {
    margin-top: 50px;
    margin-inline: auto;
    max-width: 1040px;
    border: 3px double var(--main-pale-color);
    background-color: #fff;
}

@media (width < 768px) {
    .p-lp-set-product-sweet {
        margin-top: 40px;
    }
}

.p-lp-set-product-sweet__head {
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
    padding-block: 15px;
    font-size: 1.5rem;
    font-weight: 800;
    line-height: 1;
    letter-spacing: 8%;
    text-align: center;
    color: #fff;
    background-color: var(--main-pale-color);
}

@media (width < 768px) {
    .p-lp-set-product-sweet__head {
        font-size: 1.1rem;
        padding-block: 12px;
        gap: 8px;
    }
}

.p-lp-set-product-sweet__head::after {
    content: "keyboard_double_arrow_down";
    font-size: 130%;
    font-family: "Material Symbols Outlined";
    font-weight: normal;
    font-style: normal;
    display: inline-block;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    white-space: nowrap;
    font-variation-settings: "FILL" 0, "wght" 200, "GRAD" 0, "opsz" 28;
}

.is-open .p-lp-set-product-sweet__head::after {
    transform: rotate(180deg);
}

.p-lp-set-product-sweet__body {
    position: relative;
    display: none;
}

.p-lp-set-product-sweet__grid {
    display: grid;
    grid-template-columns: repeat(2, calc((100% - 50px) / 2));
    gap: 50px;
    padding: 50px;
}

@media (width < 768px) {
    .p-lp-set-product-sweet__grid {
        grid-template-columns: 100%;
        gap: 30px;
        padding: 24px 20px;
    }
}

.p-lp-set-product-sweet__image {
    position: relative;
}

.p-lp-set-product-sweet__detail {
    align-self: center;
}

.p-lp-set-product-sweet__name {
    font-size: 1.5rem;
    font-weight: 800;
    line-height: 1.6;
    letter-spacing: 8%;
    color: var(--main-color);
}

@media (width < 768px) {
    .p-lp-set-product-sweet__name {
        font-size: 1.2rem;
    }
}

.p-lp-set-product-sweet__name+.p-lp-set-product-sweet__description {
    margin-top: 20px;
}

@media (width < 768px) {
    .p-lp-set-product-sweet__name+.p-lp-set-product-sweet__description {
        margin-top: 15px;
    }
}

.p-lp-set-product-sweet__description {
    font-weight: 500;
    line-height: 1.8;
    letter-spacing: 8%;
    color: var(--gray-color);
}

@media (width < 768px) {
    .p-lp-set-product-sweet__description {
        font-size: 0.9rem;
    }
}

/* ================================================================
  お供え花のご紹介 - スライダー
================================================================= */
@media (width >=768px) {
    .is-open .p-lp-set-product-sweet__slider {
        position: sticky;
        top: 70px;
    }
}

.p-lp-set-product-sweet__slider-main {
    width: 100%;
}

.p-lp-set-product-sweet__slider-main .swiper-wrapper {
    align-items: center;
}

.p-lp-set-product-sweet__slider-main .swiper-slide img {
    display: block;
    width: 100%;
    height: auto;
}

.p-lp-set-product-sweet__slider-pagination {
    display: flex;
    justify-content: center;
    margin-top: 15px;
}

.p-lp-set-product-sweet__slider-pagination.swiper-pagination-clickable .swiper-pagination-bullet {
    position: relative;
    width: 20px;
    height: 20px;
    margin: 0;
    background-color: transparent;
    opacity: 1;
}

.p-lp-set-product-sweet__slider-pagination.swiper-pagination-clickable .swiper-pagination-bullet::before {
    content: "";
    display: block;
    position: absolute;
    top: calc(50% - 5px);
    right: calc(50% - 5px);
    width: 10px;
    height: 10px;
    background-color: color-mix(in srgb, var(--lp-swiper-nav-color) 30%, #fff);
    border-radius: 50%;
}

.p-lp-set-product-sweet__slider-pagination.swiper-pagination-clickable .swiper-pagination-bullet-active::before {
    background-color: var(--lp-swiper-nav-color);
}

/* ================================================================
  お供え花のご紹介 - アコーディオン
================================================================= */
.p-lp-set-product-sweet .c-lp-link-button {
    margin-top: 30px;
}

@media (width < 768px) {
    .p-lp-set-product-sweet .c-lp-link-button {
        margin-top: 20px;
    }
}

.p-lp-set-product-sweet .c-lp-link-button a {
    padding: 12px 0;
}

.p-lp-set-product-sweet__accordion-body {
    display: none;
}

.p-lp-set-product-sweet__accordion-body img {
    margin-top: 50px;
}

@media (width < 768px) {
    .p-lp-set-product-sweet__accordion-body img {
        margin-top: 30px;
    }
}

/* ================================================================
  カテゴリ商品一覧（ピックアップ）
================================================================= */
.p-lp-category-product {
    --lp-category-product-gap: 40px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: var(--lp-category-product-gap);
}

@media (width < 768px) {
    .p-lp-category-product {
        --lp-category-product-gap: 20px;
    }
}

.p-lp-category-product+.p-lp-category-product {
    margin-top: calc(var(--lp-category-product-gap) * 1.5);
}

.p-lp-category-product .p-item-list-category__item {
    max-width: 500px;
}

.p-lp-category-product .c-card {
    container-type: inline-size;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.05);
}

@media (width < 768px) {
    .p-lp-category-product .c-card {
        padding: 8px;
    }
}

.p-lp-category-product .c-card figure img {
    border-radius: 0;
}

.p-lp-category-product .c-card .c-card__name {
    font-size: 1.1rem;
    font-weight: 500;
    color: inherit;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: inherit;
    line-clamp: inherit;
    overflow: hidden;
    height: auto;
}

@media (width < 768px) {
    .p-lp-category-product .c-card .c-card__name {
        font-size: 0.9rem;
    }
}

.p-lp-category-product .c-card .c-product-item__price {
    margin-bottom: 0;
}

.p-lp-category-product .c-card .c-price {
    font-size: 1.5rem;
}

@media (width < 768px) {
    .p-lp-category-product .c-card .c-price {
        font-size: 1.2rem;
    }
}

.p-lp-category-product--pickup {
    row-gap: 40px;
}

@media (width < 768px) {
    .p-lp-category-product--pickup .c-card {
        padding: 20px;
    }
}

.p-lp-category-product--pickup .c-card .c-card__name {
    font-size: 1.4rem;
}

@media (width < 768px) {
    .p-lp-category-product--pickup .c-card .c-card__name {
        font-size: 1.1rem;
    }
}

.p-lp-category-product--pickup .c-card .c-price {
    font-size: 1.8rem;
}

.p-lp-category-product--pickup .c-card .c-price span {
    font-size: 60%;
}

@media (width < 768px) {
    .p-lp-category-product--pickup .c-card .c-price {
        font-size: 1.6rem;
    }
}

.p-lp-category-product--pickup .p-item-list-category__item {
    width: calc((100% - var(--lp-category-product-gap) * 1) / 2);
}

@media (width < 768px) {
    .p-lp-category-product--pickup .p-item-list-category__item {
        width: 100%;
    }
}

@media (width >=768px) {
    .p-lp-category-product--pickup:has(> :nth-child(1):last-child) .p-item-list-category__item {
        width: 100%;
    }
}

/* ================================================================
  カテゴリ商品一覧（通常）
================================================================= */
.p-lp-category-product--normal {
    --lp-category-product-gap: 40px;
    --lp-category-product-column: 4;
    margin-top: 50px;
}

@media (width < 768px) {
    .p-lp-category-product--normal {
        --lp-category-product-gap: 20px;
    }
}

@media (width >=768px) {
    .p-lp-category-product--normal:has(> :nth-child(-n+4):last-child) {
        justify-content: center;
    }
}

.p-lp-category-product--normal .p-item-list-category__item {
    width: calc((100% - var(--lp-category-product-gap) * (var(--lp-category-product-column) - 1)) / var(--lp-category-product-column));
}

@media (width < 768px) {
    .p-lp-category-product--normal .p-item-list-category__item {
        width: calc((100% - var(--lp-category-product-gap) * 1) / 2);
    }
}

/* ================================================================
  カテゴリ商品一覧（列数自動調整）
================================================================= */
.p-lp-category-product--fluid {
    --lp-category-product-gap: 20px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    row-gap: 20px;
}

@media (width < 768px) {
    .p-lp-category-product--fluid {
        --lp-category-product-gap: 8px;
        row-gap: 10px;
    }
}

@media (width < 768px) {
    .p-lp-category-product--fluid :where(.p-item-list-category__item) {
        width: calc((100% - var(--lp-category-product-gap) * 1) / 2);
    }

    .p-lp-category-product--fluid:has(> :nth-child(1):last-child) .p-item-list-category__item {
        width: 100%;
    }

    .p-lp-category-product--fluid:has(> :nth-child(3):last-child) .p-item-list-category__item:first-of-type,
    .p-lp-category-product--fluid:has(> :nth-child(5):last-child) .p-item-list-category__item:first-of-type,
    .p-lp-category-product--fluid:has(> :nth-child(7):last-child) .p-item-list-category__item:first-of-type {
        width: 100%;
    }
}

@media (width >=768px) {
    .p-lp-category-product--fluid :where(.p-item-list-category__item) {
        width: calc((100% - var(--lp-category-product-gap) * 3) / 4);
    }

    .p-lp-category-product--fluid:has(> :nth-child(1):last-child) .p-item-list-category__item {
        width: 100%;
    }

    .p-lp-category-product--fluid:has(> :nth-child(2):last-child) .p-item-list-category__item {
        width: calc((100% - var(--lp-category-product-gap) * 1) / 2);
    }

    .p-lp-category-product--fluid:has(> :nth-child(3):last-child) .p-item-list-category__item,
    .p-lp-category-product--fluid:has(> :nth-child(6):last-child) .p-item-list-category__item,
    .p-lp-category-product--fluid:has(> :nth-child(9):last-child) .p-item-list-category__item,
    .p-lp-category-product--fluid:has(> :nth-child(15):last-child) .p-item-list-category__item {
        width: calc((100% - var(--lp-category-product-gap) * 2) / 3);
    }

    .p-lp-category-product--fluid:has(> :nth-child(5):last-child) .p-item-list-category__item {
        width: calc((100% - var(--lp-category-product-gap) * 2) / 3);
    }
}

/* ================================================================
  商品グリッド
================================================================= */
.p-lp-item-grid {
    display: grid;
    grid-template-columns: 1.4fr 1fr;
    gap: 40px;
    padding: 30px 40px;
    background-color: #fff;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.05);
}

.p-lp-item-grid .c-card {
    padding: 0;
    box-shadow: none;
}

@media (width < 768px) {
    .p-lp-item-grid {
        grid-template-columns: 100%;
        gap: 20px;
        padding: 12px;
        padding-bottom: 20px;
        margin-top: 30px;
    }
}

.p-lp-item-grid__image {
    width: 100%;
}

@media (width < 768px) {
    .p-lp-item-grid__content {
        padding-inline: 5px;
    }
}

.p-lp-item-grid__description {
    margin-bottom: 20px;
    font-size: 1.05rem;
    font-weight: 500;
    line-height: 1.8;
}

@media (width < 768px) {
    .p-lp-item-grid__description {
        font-size: 0.95rem;
    }
}

.p-lp-item-grid__brand {
    margin-bottom: 5px;
    font-size: 1.5rem;
    font-weight: 500;
    line-height: 1.8;
}

@media (width < 768px) {
    .p-lp-item-grid__brand {
        font-size: 1.3rem;
    }
}

.p-lp-item-grid__name {
    font-size: 2.4rem;
    font-weight: 800;
    line-height: 1.2;
}

@media (width < 768px) {
    .p-lp-item-grid__name {
        font-size: 1.8rem;
    }
}

.p-lp-item-grid__spec {
    margin-top: 5px;
    font-size: 1.3rem;
    font-weight: 500;
    line-height: 1.8;
}

@media (width < 768px) {
    .p-lp-item-grid__spec {
        font-size: 1.1rem;
    }
}

.p-lp-item-grid__tags {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    margin-top: 10px;
}

.p-lp-item-grid__tags li {
    padding: 8px 16px;
    background-color: var(--accent-color);
    color: #fff;
    border-radius: 4px;
    font-size: 1.1rem;
    font-weight: 500;
    line-height: 1;
}

@media (width < 768px) {
    .p-lp-item-grid__tags li {
        font-size: 1rem;
        padding: 6px 12px;
    }
}

.p-lp-item-grid__price {
    line-height: 1;
    text-align: right;
}

.p-lp-item-grid__price-tax {
    margin-top: 10px;
    font-size: 1.5rem;
    font-weight: 700;
}

.p-lp-item-grid__price-tax span {
    font-size: 200%;
}

@media (width < 768px) {
    .p-lp-item-grid__price-tax {
        font-size: 1.3rem;
    }
}

.p-lp-item-grid__price-base {
    margin-top: 10px;
    font-size: 1.1rem;
    font-weight: 500;
}

.p-lp-item-grid__price-base span {
    font-size: 120%;
}

/* ================================================================
  リンクボタン
================================================================= */
.c-lp-link-button {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.c-lp-link-button a,
.c-lp-link-button div {
    position: relative;
    display: block;
    width: 100%;
    max-width: 500px;
    padding: 12px 16px;
    font-size: 1.3rem;
    font-weight: 500;
    line-height: 1;
    letter-spacing: 6%;
    text-align: center;
    color: #fff;
    background: var(--accent-color);
    transition: 0.5s background-color ease;
}

.c-lp-link-button a:hover,
.c-lp-link-button div:hover {
    opacity: 1;
    background-color: color-mix(in srgb, var(--accent-color), white 25%);
}

@media (width < 768px) {

    .c-lp-link-button a,
    .c-lp-link-button div {
        font-size: 1.1rem;
        padding: 15px 0;
    }
}

.c-lp-link-button a::before,
.c-lp-link-button a::after,
.c-lp-link-button div::before,
.c-lp-link-button div::after {
    font-size: 150%;
    font-family: "Material Symbols Outlined";
    font-weight: normal;
    font-style: normal;
    display: inline-block;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    white-space: nowrap;
    font-variation-settings: "FILL" 0, "wght" 200, "GRAD" 0, "opsz" 28;
}

.c-lp-link-button a.--cart,
.c-lp-link-button a.--delivery,
.c-lp-link-button a.--store,
.c-lp-link-button div.--cart,
.c-lp-link-button div.--delivery,
.c-lp-link-button div.--store {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

.c-lp-link-button a.--cart::before,
.c-lp-link-button div.--cart::before {
    content: "shopping_cart";
}

.c-lp-link-button a.--delivery::before,
.c-lp-link-button div.--delivery::before {
    content: "hand_package";
}

.c-lp-link-button a.--store::before,
.c-lp-link-button div.--store::before {
    content: "store";
}

.c-lp-link-button a.--up-arrow::after,
.c-lp-link-button div.--up-arrow::after {
    position: absolute;
    top: 50%;
    right: min(3%, 20px);
    transform: translateY(-50%);
    content: "keyboard_double_arrow_up";
    font-size: 150%;
}

.c-lp-link-button a.--down-arrow::after,
.c-lp-link-button div.--down-arrow::after {
    position: absolute;
    top: 50%;
    right: min(3%, 20px);
    transform: translateY(-50%);
    content: "keyboard_double_arrow_down";
    font-size: 150%;
}

.c-lp-link-button--list {
    display: flex;
    gap: 5px;
    margin-top: 15px;
}

@media (width < 768px) {
    .c-lp-link-button--list {
        flex-direction: column;
        margin-top: 10px;
    }
}

@container (width < 200px) {
    .c-lp-link-button--list {
        flex-direction: column;
        margin-top: 10px;
    }
}

.c-lp-link-button--list a {
    padding: 10px 10px;
    font-size: 1.05rem;
}

@media (width < 768px) {
    .c-lp-link-button--list a {
        width: 100%;
        padding: 8px 0;
        font-size: 0.9rem;
    }
}

@container (width < 300px) {
    .c-lp-link-button--list a {
        width: 100%;
        padding: 8px 0;
        font-size: 0.9rem;
    }
}

.c-lp-link-button--more {
    margin-top: 70px;
}

.c-lp-link-button--more a {
    padding: 24px 10px;
    font-size: 1.3rem;
}

@media (width < 768px) {
    .c-lp-link-button--more a {
        width: 100%;
        padding: 10px 0;
        font-size: 0.9rem;
    }
}

.c-lp-link-button--more a::after {
    position: absolute;
    top: 50%;
    right: min(3%, 20px);
    transform: translateY(-50%);
    content: "double_arrow";
    font-size: 150%;
}

@media (width < 768px) {
    .c-lp-link-button--more {
        margin-top: 50px;
    }

    .c-lp-link-button--more a {
        padding: 15px 0;
        font-size: 1.1rem;
    }

    .c-lp-link-button--more a::after {
        font-size: 130%;
    }
}